MuldeR's Utilities for Qt MUtilities

Public Types | Public Member Functions | List of all members
MUtils::Taskbar7 Class Reference

## Public Types
enum | taskbarState_t { TASKBAR_STATE_NONE = 0, TASKBAR_STATE_NORMAL = 1, TASKBAR_STATE_INTERMEDIATE = 2, TASKBAR_STATE_PAUSED = 3, TASKBAR_STATE_ERROR = 4 }

## Public Member Functions
| Taskbar7 (QWidget *const window)
bool | setTaskbarState (const taskbarState_t &state)
bool | setTaskbarProgress (const quint64 &currentValue, const quint64 &maximumValue)
bool | setOverlayIcon (const QIcon *const icon, const QString &info=QString())

The documentation for this class was generated from the following file:

- include/MUtils/Taskbar7.h